rem Must be run as administrator

c:
cd \posapp

if exist posapp.dll goto install

if exist posapp32.dll goto rename

echo "Missing posapp32.dll and posapp.dll"
goto end

:rename
ren posapp32.dll posapp.dll

:install

rem Uninstall existing instrument manifest
wevtutil.exe um c:\posapp\posapp.man

rem Install instrument manifest
wevtutil.exe im c:\posapp\posapp.man

rem Set maximum log file size: 100MB
wevtutil sl PosApp /ms:105250816

:end
